Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class DecimalFormatProperties

    java.lang.Object
      |
      +--org.apache.xalan.templates.DecimalFormatProperties

public class DecimalFormatProperties
extends java.lang.Object

**For advanced use only** Implement xsl:decimal-format.

See Also:
  format-number in XSLT Specification

Constructor Summary
`DecimalFormatProperties()` **For advanced use only**

Method Summary
`java.text.DecimalFormatSymbols` | `getDecimalFormatSymbols()` **For advanced use only** Return the decimal format Symbols for this element.
`char` | `getDecimalSeparator()` **For advanced use only** Get the "decimal-separator" attribute.
`char` | `getDigit()` **For advanced use only** Get the "digit" attribute.
`char` | `getGroupingSeparator()` **For advanced use only** Get the "grouping-separator" attribute.
`java.lang.String` | `getInfinity()` **For advanced use only** Get the "infinity" attribute.
`char` | `getMinusSign()` **For advanced use only** Get the "minus-sign" attribute.
`QName` | `getName()` **For advanced use only** Get the "name" attribute.
`java.lang.String` | `getNaN()` **For advanced use only** Get the "NaN" attribute.
`char` | `getPatternSeparator()` **For advanced use only** Get the "pattern-separator" attribute.
`char` | `getPercent()` **For advanced use only** Get the "percent" attribute.
`char` | `getPerMille()` **For advanced use only** Get the "per-mille" attribute.
`char` | `getZeroDigit()` **For advanced use only** Get the "zero-digit" attribute.
`void` | `setDecimalSeparator(char ds)` **For advanced use only** Set the "decimal-separator" attribute.
`void` | `setDigit(char v)` **For advanced use only** Set the "digit" attribute.
`void` | `setGroupingSeparator(char gs)` **For advanced use only** Set the "grouping-separator" attribute.
`void` | `setInfinity(java.lang.String inf)` **For advanced use only** Set the "infinity" attribute.
`void` | `setMinusSign(char v)` **For advanced use only** Set the "minus-sign" attribute.
`void` | `setName(QName qname)` **For advanced use only** Set the "name" attribute.
`void` | `setNaN(java.lang.String v)` **For advanced use only** Set the "NaN" attribute.
`void` | `setPatternSeparator(char v)` **For advanced use only** Set the "pattern-separator" attribute.
`void` | `setPercent(char v)` **For advanced use only** Set the "percent" attribute.
`void` | `setPerMille(char v)` **For advanced use only** Set the "per-mille" attribute.
`void` | `setZeroDigit(char v)` **For advanced use only** Set the "zero-digit" attribute.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecimalFormatProperties

    public DecimalFormatProperties()

Method Detail

### getDecimalFormatSymbols

    public java.text.DecimalFormatSymbols getDecimalFormatSymbols()

  **For advanced use only** Return the decimal format Symbols for this element.

  The xsl:decimal-format element declares a decimal-format, which controls the interpretation of a format pattern used by the format-number function. If there is a name attribute, then the element declares a named decimal-format; otherwise, it declares the default decimal-format. The value of the name attribute is a QName, which is expanded as described in [2.4 Qualified Names]. It is an error to declare either the default decimal-format or a decimal-format with a given name more than once (even with different import precedence), unless it is declared every time with the same value for all attributes (taking into account any default values).

  The other attributes on xsl:decimal-format correspond to the methods on the JDK 1.1 DecimalFormatSymbols class. For each get/set method pair there is an attribute defined for the xsl:decimal-format element.

### setName

    public void setName(QName qname)

  **For advanced use only** Set the "name" attribute. If there is a name attribute, then the element declares a named decimal-format; otherwise, it declares the default decimal-format.

### getName

    public QName getName()

  **For advanced use only** Get the "name" attribute. If there is a name attribute, then the element declares a named decimal-format; otherwise, it declares the default decimal-format.

### setDecimalSeparator

    public void setDecimalSeparator(char ds)

  **For advanced use only** Set the "decimal-separator" attribute. decimal-separator specifies the character used for the decimal sign; the default value is the period character (.).

### getDecimalSeparator

    public char getDecimalSeparator()

  **For advanced use only** Get the "decimal-separator" attribute. decimal-separator specifies the character used for the decimal sign; the default value is the period character (.).

### setGroupingSeparator

    public void setGroupingSeparator(char gs)

  **For advanced use only** Set the "grouping-separator" attribute. grouping-separator specifies the character used as a grouping (e.g. thousands) separator; the default value is the comma character (,).

### getGroupingSeparator

    public char getGroupingSeparator()

  **For advanced use only** Get the "grouping-separator" attribute. grouping-separator specifies the character used as a grouping (e.g. thousands) separator; the default value is the comma character (,).

### setInfinity

    public void setInfinity(java.lang.String inf)

  **For advanced use only** Set the "infinity" attribute. infinity specifies the string used to represent infinity; the default value is the string Infinity.

### getInfinity

    public java.lang.String getInfinity()

  **For advanced use only** Get the "infinity" attribute. infinity specifies the string used to represent infinity; the default value is the string Infinity.

### setMinusSign

    public void setMinusSign(char v)

  **For advanced use only** Set the "minus-sign" attribute. minus-sign specifies the character used as the default minus sign; the default value is the hyphen-minus character (-, #x2D).

### getMinusSign

    public char getMinusSign()

  **For advanced use only** Get the "minus-sign" attribute. minus-sign specifies the character used as the default minus sign; the default value is the hyphen-minus character (-, #x2D).

### setNaN

    public void setNaN(java.lang.String v)

  **For advanced use only** Set the "NaN" attribute. NaN specifies the string used to represent the NaN value; the default value is the string NaN.

### getNaN

    public java.lang.String getNaN()

  **For advanced use only** Get the "NaN" attribute. NaN specifies the string used to represent the NaN value; the default value is the string NaN.

### setPercent

    public void setPercent(char v)

  **For advanced use only** Set the "percent" attribute. percent specifies the character used as a percent sign; the default value is the percent character (%).

### getPercent

    public char getPercent()

  **For advanced use only** Get the "percent" attribute. percent specifies the character used as a percent sign; the default value is the percent character (%).

### setPerMille

    public void setPerMille(char v)

  **For advanced use only** Set the "per-mille" attribute. per-mille specifies the character used as a per mille sign; the default value is the Unicode per-mille character (#x2030).

### getPerMille

    public char getPerMille()

  **For advanced use only** Get the "per-mille" attribute. per-mille specifies the character used as a per mille sign; the default value is the Unicode per-mille character (#x2030).

### setZeroDigit

    public void setZeroDigit(char v)

  **For advanced use only** Set the "zero-digit" attribute. zero-digit specifies the character used as the digit zero; the default value is the digit zero (0).

### getZeroDigit

    public char getZeroDigit()

  **For advanced use only** Get the "zero-digit" attribute. zero-digit specifies the character used as the digit zero; the default value is the digit zero (0).

### setDigit

    public void setDigit(char v)

  **For advanced use only** Set the "digit" attribute. digit specifies the character used for a digit in the format pattern; the default value is the number sign character (#).

### getDigit

    public char getDigit()

  **For advanced use only** Get the "digit" attribute. digit specifies the character used for a digit in the format pattern; the default value is the number sign character (#).

### setPatternSeparator

    public void setPatternSeparator(char v)

  **For advanced use only** Set the "pattern-separator" attribute. pattern-separator specifies the character used to separate positive and negative sub patterns in a pattern; the default value is the semi-colon character (;).

### getPatternSeparator

    public char getPatternSeparator()

  **For advanced use only** Get the "pattern-separator" attribute. pattern-separator specifies the character used to separate positive and negative sub patterns in a pattern; the default value is the semi-colon character (;).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.